libproxy-cil-dev_0.4.11-4_all.deb


Advertisement

Description

libproxy-cil-dev - automatic proxy configuration management library (CLI devel)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libproxy-cil-dev
Package version 0.4.11
Package release 4
Package architecture all
Package type deb
Installed size 42 B
Download size 9.34 KB
Official Mirror ftp.br.debian.org
libproxy is a lightweight library which makes it easy to develop
applications proxy-aware with a simple and stable API.
This package contains development files for the CLI bindings, and should be
used for compilation.

Alternatives

Package Version Architecture Repository
libproxy-cil-dev_0.4.11-4_all.deb 0.4.11 all Debian Main
libproxy-cil-dev - - -

Requires

Name Value
libproxy0.4-cil = 0.4.11-4

Download

Type URL
Binary Package libproxy-cil-dev_0.4.11-4_all.deb
Source Package libproxy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libproxy-cil-dev deb package:
    # sudo apt-get install libproxy-cil-dev

Files

Path
/usr/lib/pkgconfig/libproxy-sharp-1.0.pc
/usr/share/doc/libproxy-cil-dev/changelog.Debian.gz
/usr/share/doc/libproxy-cil-dev/changelog.gz
/usr/share/doc/libproxy-cil-dev/copyright

Changelog

2013-11-03 - Laurent Bigonville <bigon@debian.org>
libproxy (0.4.11-4) unstable; urgency=low
* Upload to unstable
2013-10-10 - Laurent Bigonville <bigon@debian.org>
libproxy (0.4.11-3) experimental; urgency=low
* debian/control.in: Build-depend on netbase, this will hopefully fix the
FTBFS
2013-09-28 - Laurent Bigonville <bigon@debian.org>
libproxy (0.4.11-2) experimental; urgency=low
* debian/control.in: Only build networkmanager plugin on linux-any
architectures
* Drop debian/libproxy1.symbols: .symbols file with C++ libraries is just a
nightmare, rely on the good old shlibs file
2013-09-14 - Laurent Bigonville <bigon@debian.org>
libproxy (0.4.11-1) experimental; urgency=low
* Upload new upstream release to debian, thanks to the Ubuntu guys for the
changes (Closes: #604934)
* Re-enable mozjs plugin, this new version is built against mozjs185, this
fix the current FTBFS and the stability of the ABI/API we build against
(Closes: #707419, #722685)
* debian/rules:
- Re-add uploaders.mk magic
- Bump SHLIBVER to 0.4.11
- Make the build fails if symbols are missing the .symbols file
* debian/patches/fix-mozjs-detection.patch: Properly detect mozjs, patch
from upstream VCS.
* debian/libproxy1.symbols: Add symbols file
* debian/watch: Update to work with Google Code website, again.
* debian/proxy.1, debian/libproxy-tools.manpages: Install a manpage for the
proxy command (Closes: #660327)
2013-05-30 - Sebastien Bacher <seb128@ubuntu.com>
libproxy (0.4.11-0ubuntu2) saucy; urgency=low
* debian/patches/dont_segfault_on_exit.patch:
- drop buggy unref calls to fix a segfault (lp: #1182043)  
2013-01-10 - Iain Lane <iain.lane@canonical.com>
libproxy (0.4.11-0ubuntu1) raring; urgency=low
* New upstream release
- Build fixes with cmake 2.8.10+
- Quick release without built binaries / files
+ Remove these from debian/clean
* debian/watch: Update to work with current Google Code website (once more
with feeling)
2012-11-15 - Iain Lane <iain.lane@canonical.com>
libproxy (0.4.10-0ubuntu1) raring; urgency=low
* New upstream release 0.4.10 (LP: #1078915). Selected fixes since 0.4.7:
- Fix infinite loop uppon network errors
- Only support standalone mozjs185 as mozilla js engine.  xulrunner being
part of the now lightning fast moving firefox is impossible to be tracked
as a dependency and it is not supported by Mozilla to be used in this
scenario.
- Support building with javascritpcoregtk 1.5 (got split out of webkitgtk).
* debian/watch: Update to work with Google code again .
* Remove all patches - all applied upstream. 
* Clean accidently shipped built binaries to ensure we ship those built from
this source.
* debian/patches/disable-pac-test.patch: Steal patch from Gentoo to disable
the get-pac-test which hangs when run from the build.
* Bump Standards-Version to 3.9.4, no changes required. 
* Add basic compile/link/run autopkgtest - thanks to Rafal CieĊ›lak (LP:
#1079102)
2012-10-10 - Iain Lane <iain.lane@canonical.com>
libproxy (0.4.7-0ubuntu6) quantal; urgency=low
* debian/patches/CVE-2012-4504.patch: Cherry-pick upstream r853 to fix
buffer overflow when downloading large PAC files. 
2012-09-25 - Iain Lane <iain.lane@canonical.com>
libproxy (0.4.7-0ubuntu5) quantal; urgency=low
* debian/patches/libproxy-gcc-4.7.diff: Cherry-pick patch from upstream svn
r833 to fix FTBFS with GCC-4.7 due to missing includes.
2012-02-17 - Iain Lane <laney@ubuntu.com>
libproxy (0.4.7-0ubuntu4) precise; urgency=low
* Re-enable webkit pacrunner and build it into its own module package
(adding a patch to the upstream build system required to achieve this).
(LP: #934088)
* Build with webkit3.

See Also

Package Description
libproxy-dev_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (devel)
libproxy-tools_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (tools)
libproxy0.4-cil_0.4.11-4_all.deb automatic proxy configuration management library (CLI)
libproxy1-plugin-gsettings_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (GSettings plugin)
libproxy1-plugin-kconfig_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (KConfig plugin)
libproxy1-plugin-mozjs_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (mozjs plugin)
libproxy1-plugin-networkmanager_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (Network Manager plugin)
libproxy1-plugin-webkit_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (Webkit plugin)
libproxy1_0.4.11-4+b2_amd64.deb automatic proxy configuration management library (shared)
libproxychains-dev_3.1-6_amd64.deb proxy chains -- shared library (development)
libproxychains3_3.1-6_amd64.deb proxy chains -- shared library (runtime)
libprpc-perl_0.1005-21_all.deb Perl extensions for writing pRPC servers and clients
libpsl-dev_0.5.1-1_amd64.deb Library for Public Suffix List (development headers)
libpsl0_0.5.1-1_amd64.deb Library for Public Suffix List (shared libraries)
libpspell-dev_0.60.7~20110707-1.3_amd64.deb Development files for applications with pspell support
Advertisement
Advertisement